#include<stdio.h>
#include<math.h>
	int BRC(long x){
		int br=0;
		while(x>0){
			br=br+1;
			x=x/10;
			
		}
		return br;
	}		



	int main (){
		long a,b,c;
		scanf("%li %li %li",&a,&b,&c);
		int st1,st2,st3,max,br;
		st1=BRC(a);
		st2=BRC(b);
		st3=BRC(c);
		
		br=(a*pow(10,st2)+b)*pow(10,st3)+c;
		
		max = br;
			
		br=(c*pow(10,st2)+b)*pow(10,st1)+a;
		if(br>max){
			max=br;
		}
			
		br=(b*pow(10,st1)+a)*pow(10,st3)+c;
		if(br>max){
			max=br;
		}
			
		br=(b*pow(10,st3)+c)*pow(10,st1)+a;
		if(br>max){
			max=br;
		}
			
		br=(c*pow(10,st1)+a)*pow(10,st2)+b;
		if(br>max){
			max=br;
		}
				
		br=(a*pow(10,st3)+c)*pow(10,st2)+b;
		if(br>max){
			max=br;
		}
			printf("%d",max);
		return 0;
	}